UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

Reply

petalinux-config in 2014.2 does not run correctly.

Visitor
Posts: 7
Registered: ‎06-15-2014

petalinux-config in 2014.2 does not run correctly.

When I run petalinux-config and exit, then following error messages appears. After

 "*** End of the configuration." message;

 

sed: -e expression #1, char 50: unknown option to `s'
sed: -e expression #1, char 56: unknown option to `s'
sed: -e expression #1, char 58: unknown option to `s'
sed: -e expression #1, char 43: unknown option to `s'
sed: -e expression #1, char 45: unknown option to `s'
sed: -e expression #1, char 69: unknown option to `s'
sed: -e expression #1, char 92: unknown option to `s'
sed: -e expression #1, char 87: unknown option to `s'
sed: -e expression #1, char 87: unknown option to `s'
....

 

I'm using petalinux-v2014.2-final on Ubinti 14.04. How can I fix this

problem?

Visitor
Posts: 12
Registered: ‎06-16-2014

Re: petalinux-config in 2014.2 does not run correctly.

I have the same problem, did you find an answer?

Visitor
Posts: 7
Registered: ‎06-15-2014

Re: petalinux-config in 2014.2 does not run correctly.

Unfortunately, nope.

Visitor
Posts: 3
Registered: ‎06-16-2014

Re: petalinux-config in 2014.2 does not run correctly.

i also run SDK v2014.2 on Ubuntu 14.04 LTS (64-bit), i got the same problem.

Though i executed v2014.2 on Ubuntu 12.04.4 LTS (32-bit), it worked (i attached the result of dpkg --list command). i assume this problem occurs only on 64-bit or v2014.2 does not run on Ubuntu 14.04.

Visitor
Posts: 7
Registered: ‎06-15-2014

Re: petalinux-config in 2014.2 does not run correctly.

It seems that petalinux only tested in 32bit env. And petalinux-config binary is 32bit too.
Visitor
Posts: 5
Registered: ‎06-17-2014

Re: petalinux-config in 2014.2 does not run correctly.

Same problem on 64bit ArchLinux.

Visitor
Posts: 7
Registered: ‎06-15-2014

Re: petalinux-config in 2014.2 does not run correctly.

It seems that petalinux-config in 2014.2 does have problem in 64 bit linux. Do you hear me xilinx? :-)

Scholar
Posts: 1,536
Registered: ‎09-10-2008

Re: petalinux-config in 2014.2 does not run correctly.

Hi,

 

Did you install all the required tools and libraries as documented in the install guide? 

 

I have seen a different issue I don't understand yet, but not the same as yours.

 

Thanks

John

Visitor
Posts: 12
Registered: ‎06-16-2014

Re: petalinux-config in 2014.2 does not run correctly.

Hi I am using the 32bit version of Ubuntu and have just double checked the lib install against that given on page 10 of the install guide. The libs are all there and up to date except for the 32 bit libs which it says it can’t find. I googled that and think I have now installed them but I am still getting the sed error.  Xilinx tools just don’t seem to work for me and I have spent many weekends trying!

 

Visitor
Posts: 3
Registered: ‎06-16-2014

Re: petalinux-config in 2014.2 does not run correctly.

What error occurred? Why don't you paste the result of "tail -10 build/build.log"?

e.g., "bc" package is required to build your kennel.
if you use a new version of Ubuntu 64-bit, "primus-libs-ia32" package is required instead of "ia32-libs".

FYI, here is my instruction to execute PetaLinux SDK on Ubuntu:
sudo apt-get install primus-libs-ia32 bc tofrodos iproute gawk gcc \
 git-core build-essential make net-tools ncurses-dev tftpd-hpa \
 zlib1g-dev flex bison lib32ncursesw5 lib32ncurses5 lib32gomp1